package com.huimv.video.controller;

import com.huimv.video.domain.SjHkAq;
import com.huimv.video.result.Result;
import com.huimv.video.service.SjHkAqService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@CrossOrigin
@RequestMapping("/SjHkAq")
public class SjHkAqController {

	@Autowired
	private SjHkAqService service;

	@RequestMapping("/add")
	public Result add(SjHkAq childcareEntity){ return service.add(childcareEntity); }

	@RequestMapping("/remove")
	public Result remove(Integer[] ids){ return service.remove(ids); }

	@RequestMapping("/update")
	public Result update(SjHkAq childcareEntity){ return service.update(childcareEntity); }

	@RequestMapping("/findAllById")
	public Result findAllById(Integer id){ return service.findAllById(id); }


	@RequestMapping("/findAll")
	public Result findAll(String name , Integer pageNum , Integer pageSize){
		return service.findAll(name,pageNum,pageSize);
	}

	@RequestMapping("/findAllByLQID")
	public Result findAllByLQID(Integer LQID){
		return service.findAllByLQID(LQID);
	}

}
